### Class

# Ggit Object

#### Description [src]

    abstract class Ggit.Object : Ggit.Native
    {
      /* No available fields */
    }

Represents a generic object in a repository.

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Descendants

- GgitBlob
- GgitCommit
- GgitTag
- GgitTree

#### Instance methods

###### ggit_object_get_id

Gets the `GgitOId` of `object`.

###### ggit_object_get_owner

Gets the `GgitRepository` that owns `object`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitObjectClass {
      /* no available fields */
    }

The class structure for `GgitObjectClass`.